---
search:
  tags:
    - Warehouses V2
    - GET
seo:
  description: >-
    Gets a single warehouse. Reference for the GET
    /api/v2/{team_slug}/{app_slug}/warehouses/{warehouse_id} endpoint in the
    Management API v2.
sidebar:
  label: Get warehouse
  badge: GET
title: Get warehouse
type: openapi-operation
---
Gets a single warehouse.

`GET /api/v2/{team_slug}/{app_slug}/warehouses/{warehouse_id}`

**Responses**

- `200` — OK
- `400` — Request-level failure
- `401` — Request-level failure
- `403` — Request-level failure
- `404` — Request-level failure
- `500` — Request-level failure

Response example, 200:

```json
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "name": "string",
    "slug": "string",
    "available_online": true,
    "address": {
      "street_address": "string",
      "city": "string",
      "state": "string",
      "postal_code": "string",
      "country": "string"
    },
    "markets": [
      {
        "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
        "name": "string",
        "slug": "string"
      }
    ],
    "created_at": "2019-08-24T14:15:22Z",
    "updated_at": "2019-08-24T14:15:22Z"
  }
}
```
